"""
Tests for vela.emulators
"""
from unittest.mock import patch, mock_open

import pytest

from vela.emulators import CasaEmulator


class TestCasaEmulator:
    @pytest.mark.skip("Ignores forger mock.")
    @patch("os.chdir")
    @patch("vela.forger.VelaProduct.forge_products")
    @patch("vela.forger.VelaLog.forge_logs")
    def test_run(self, mock_logs, mock_products, mock_os):
        with patch("vela.forger.forge") as mock_forge:
            CasaEmulator("test/test.json", "test/PPR.xml", "standard_cal").run()
            assert mock_forge.call_count == 1

    @patch("glob.glob")
    @patch("os.chdir")
    def test_check_logs(self, mock_os, mock_glob):
        with patch("builtins.open", mock_open()) as o:
            CasaEmulator("test.json", "PPR.xml", "standard_cal").check_logs()
            assert o.call_count == 0
            assert mock_os.call_count == 1
            assert mock_glob.call_count == 1
