#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import setup

VERSION = open("ws_metrics/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = [
    "psycopg2",
    "pycapo"
]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces metrics reporter for users outside of SSA.",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=["ws_metrics"],
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["ws_metrics = ws_metrics.deep_thought:main"]},
)
